summaryrefslogtreecommitdiff
path: root/openvswitch.configure
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-12-12 09:34:20 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-01-22 12:46:28 +0000
commit6f958f1b6f2bf9ef6d48d57970584f18e8e1a041 (patch)
tree62dca5a1145b73f876f5f895591c5289fd77e8e7 /openvswitch.configure
parent91bca0532e8faf196623c8dc311a775aeca852f2 (diff)
downloaddefinitions-6f958f1b6f2bf9ef6d48d57970584f18e8e1a041.tar.gz
Strip openvswitch services and configuration from neutron
Openvswitch should have its own setup and daemon services independent of neutron. NOTE: This fixes the errors when neutron uses openvswitch commands as root because openvswitch services are run as root.
Diffstat (limited to 'openvswitch.configure')
-rw-r--r--openvswitch.configure25
1 files changed, 25 insertions, 0 deletions
diff --git a/openvswitch.configure b/openvswitch.configure
new file mode 100644
index 00000000..aec66bd2
--- /dev/null
+++ b/openvswitch.configure
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+ln -sf "/etc/systemd/system/openvswitch-db-server.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openvswitch-db-server.service"
+ln -sf "/etc/systemd/system/openvswitch.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openvswitch.service"